security/rats - The NetBSD Packages Collection

Rough Auditing Tool for Security

RATS, the Rough Auditing Tool for Security, is a security auditing utility
for C and C++ code. RATS scans source code, finding potentially dangerous
function calls.
The goal of this project is not to definitively find bugs (yet).
The current goal is to provide a reasonable starting point for performing
manual security audits.
RATS is released under version 2 of the GNU Public License (GPL).

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrats-2.1nb5.tgz
NetBSD 8.0earmv7hfrats-2.1nb5.tgz
NetBSD 8.0earmv7hfrats-2.1nb5.tgz
NetBSD 8.0i386rats-2.1nb5.tgz
NetBSD 8.0i386rats-2.1nb5.tgz
NetBSD 8.0powerpcrats-2.1nb5.tgz
NetBSD 8.0powerpcrats-2.1nb5.tgz
NetBSD 8.0powerpcrats-2.1nb5.tgz
NetBSD 8.0powerpcrats-2.1nb5.tgz
NetBSD 8.0x86_64rats-2.1nb5.tgz
NetBSD 8.0x86_64rats-2.1nb5.tgz
NetBSD 9.0aarch64rats-2.1nb5.tgz
NetBSD 9.0aarch64rats-2.1nb5.tgz
NetBSD 9.0aarch64rats-2.1nb5.tgz
NetBSD 9.0alpharats-2.1nb5.tgz
NetBSD 9.0alpharats-2.1nb5.tgz
NetBSD 9.0alpharats-2.1nb5.tgz
NetBSD 9.0earmrats-2.1nb5.tgz
NetBSD 9.0earmrats-2.1nb5.tgz
NetBSD 9.0earmrats-2.1nb5.tgz
NetBSD 9.0earmv6hfrats-2.1nb5.tgz
NetBSD 9.0earmv6hfrats-2.1nb5.tgz
NetBSD 9.0earmv6hfrats-2.1nb5.tgz
NetBSD 9.0earmv7hfrats-2.1nb5.tgz
NetBSD 9.0earmv7hfrats-2.1nb5.tgz
NetBSD 9.0earmv7hfrats-2.1nb5.tgz
NetBSD 9.0earmv7hfrats-2.1nb5.tgz
NetBSD 9.0i386rats-2.1nb5.tgz
NetBSD 9.0i386rats-2.1nb5.tgz
NetBSD 9.0m68krats-2.1nb5.tgz
NetBSD 9.0m68krats-2.1nb5.tgz
NetBSD 9.0mips64ebrats-2.1nb5.tgz
NetBSD 9.0mips64ebrats-2.1nb5.tgz
NetBSD 9.0mips64ebrats-2.1nb5.tgz
NetBSD 9.0mips64ebrats-2.1nb5.tgz
NetBSD 9.0mips64ebrats-2.1nb5.tgz
NetBSD 9.0powerpcrats-2.1nb5.tgz
NetBSD 9.0powerpcrats-2.1nb5.tgz
NetBSD 9.0powerpcrats-2.1nb5.tgz
NetBSD 9.0powerpcrats-2.1nb5.tgz
NetBSD 9.0sparc64rats-2.1nb5.tgz
NetBSD 9.0sparc64rats-2.1nb5.tgz
NetBSD 9.0sparc64rats-2.1nb5.tgz
NetBSD 9.0sparcrats-2.1nb5.tgz
NetBSD 9.0sparcrats-2.1nb5.tgz
NetBSD 9.0sparcrats-2.1nb5.tgz
NetBSD 9.0sparcrats-2.1nb5.tgz
NetBSD 9.0x86_64rats-2.1nb5.tgz
NetBSD 9.0x86_64rats-2.1nb5.tgz
NetBSD 9.0x86_64rats-2.1nb5.tgz
NetBSD 9.0x86_64rats-2.1nb5.tgz
NetBSD 9.0x86_64rats-2.1nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.